Problem with Compiz Window manager on Sid

classic Classic list List threaded Threaded
8 messages Options
Reply | Threaded
Open this post in threaded view
|

Problem with Compiz Window manager on Sid

Jean-Philippe MENGUAL-3
Hi,

Since yesterday, I have been testing Compiz-reloaded + mate 1.22. In particular I test the newest Compiz packaging uploaded.

The problem here is that when I press alt-tab, I have no feedback. I switch window, since the focus arrives in the new one, but Orca does not say anything. If I run Marco it works properly.

Tell me if you want a bug, against which package and if I should give further info.

Regards

--
Jean-Philippe MENGUAL

Reply | Threaded
Open this post in threaded view
|

Re: Problem with Compiz Window manager on Sid

Samuel Thibault-8
Jean-Philippe MENGUAL, le ven. 02 août 2019 07:48:39 +0200, a ecrit:
> The problem here is that when I press alt-tab, I have no feedback. I switch window, since the focus arrives in the new one, but Orca does not say anything. If I run Marco it works properly.

Can you confirm that downgrading to the buster version of compiz fixes
it?  Ideally you could downgrade package per compiz package.

> Tell me if you want a bug, against which package and if I should give further info.

Having a bug entry is always better to record what was tested in an
easy-to-find place. The package doesn't matter that much since it's easy
to move bugs.

Samuel

Reply | Threaded
Open this post in threaded view
|

Re: Problem with Compiz Window manager on Sid

Jean-Philippe MENGUAL-2
>
> Can you confirm that downgrading to the buster version of compiz fixes
> it?  Ideally you could downgrade package per compiz package.

It is so hard, sorry. The dep tree ends-up on libmarcoprivate1,
depending on marco 1.16, so would imply me to downgrade all the desktop.
So cannot do this.

Regards

>
>> Tell me if you want a bug, against which package and if I should give further info.
>
> Having a bug entry is always better to record what was tested in an
> easy-to-find place. The package doesn't matter that much since it's easy
> to move bugs.
>
> Samuel
>

Reply | Threaded
Open this post in threaded view
|

Re: Problem with Compiz Window manager on Sid

Jean-Philippe MENGUAL-3
In reply to this post by Samuel Thibault-8


Jean-Philippe MENGUAL
>
> Can you confirm that downgrading to the buster version of compiz fixes
> it?  Ideally you could downgrade package per compiz package.

It is so hard, sorry. The dep tree ends-up on libmarcoprivate1,
depending on marco 1.16, so would imply me to downgrade all the desktop.
So cannot do this.

Regards

>
>> Tell me if you want a bug, against which package and if I should give further info.
>
> Having a bug entry is always better to record what was tested in an
> easy-to-find place. The package doesn't matter that much since it's easy
> to move bugs.
>
> Samuel
>

Reply | Threaded
Open this post in threaded view
|

Re: Problem with Compiz Window manager on Sid

Samuel Thibault-8
Jean-Philippe MENGUAL, le ven. 02 août 2019 11:25:33 +0200, a ecrit:
> Jean-Philippe MENGUAL
> > Can you confirm that downgrading to the buster version of compiz fixes
> > it?  Ideally you could downgrade package per compiz package.
>
> It is so hard, sorry. The dep tree ends-up on libmarcoprivate1,
> depending on marco 1.16, so would imply me to downgrade all the desktop.
> So cannot do this.

? I'm surprised: I just asked to downgrade compiz, does that really make
it downgrade other things? Normally you'd just need to downgrade to
these versions:

apt-get install compizconfig-settings-manager=2:0.8.16-2 python-compizconfig=2:0.8.16-2

(The version of compiz in unstable has been only very lightly touched to
switch to python3)

Samuel

Reply | Threaded
Open this post in threaded view
|

Re: Problem with Compiz Window manager on Sid

Samuel Thibault-8
Samuel Thibault, le ven. 02 août 2019 11:37:28 +0200, a ecrit:

> Jean-Philippe MENGUAL, le ven. 02 août 2019 11:25:33 +0200, a ecrit:
> > Jean-Philippe MENGUAL
> > > Can you confirm that downgrading to the buster version of compiz fixes
> > > it?  Ideally you could downgrade package per compiz package.
> >
> > It is so hard, sorry. The dep tree ends-up on libmarcoprivate1,
> > depending on marco 1.16, so would imply me to downgrade all the desktop.
> > So cannot do this.
>
> ? I'm surprised

FTR, online discussion showed that the marco upgrade make compiz-mate
get uninstalled due to libmarco-private SONAME bump. And compiz FTBFS
with marco 1.22. I'm having a look.

Samu

Reply | Threaded
Open this post in threaded view
|

Re: Problem with Compiz Window manager on Sid

Jean-Philippe MENGUAL-3
In reply to this post by Samuel Thibault-8
Hi,

The problem is fixed. It was due to the fact compiz-mate and
compiz-gnome could no longer install due to a dependency problem. Samuel
fixed it and uploaded a -11 release of compiz packages.

Regards



Jean-Philippe MENGUAL
Le 02/08/2019 à 11:37, Samuel Thibault a écrit :

> Jean-Philippe MENGUAL, le ven. 02 août 2019 11:25:33 +0200, a ecrit:
>> Jean-Philippe MENGUAL
>>> Can you confirm that downgrading to the buster version of compiz fixes
>>> it?  Ideally you could downgrade package per compiz package.
>>
>> It is so hard, sorry. The dep tree ends-up on libmarcoprivate1,
>> depending on marco 1.16, so would imply me to downgrade all the desktop.
>> So cannot do this.
>
> ? I'm surprised: I just asked to downgrade compiz, does that really make
> it downgrade other things? Normally you'd just need to downgrade to
> these versions:
>
> apt-get install compizconfig-settings-manager=2:0.8.16-2 python-compizconfig=2:0.8.16-2
>
> (The version of compiz in unstable has been only very lightly touched to
> switch to python3)
>
> Samuel
>

Reply | Threaded
Open this post in threaded view
|

Re: Problem with Compiz Window manager on Sid

Jude DaShiell-3
In reply to this post by Jean-Philippe MENGUAL-3
As both a further test and possible temporary work around, once a new
window is opened and tabbed into with orca being silent try running orca
--replace or screen-reader --replace and see if orca starts talking.  If
orca doesn't start talking, compiz is disrupting accessibility
operations on a deep level without authorization.

On Fri, 2 Aug 2019, Jean-Philippe MENGUAL wrote:

> Date: Fri, 2 Aug 2019 05:25:33
> From: Jean-Philippe MENGUAL <[hidden email]>
> To: [hidden email]
> Subject: Re: Problem with Compiz Window manager on Sid
> Resent-Date: Fri,  2 Aug 2019 09:25:48 +0000 (UTC)
> Resent-From: [hidden email]
>
>
>
> Jean-Philippe MENGUAL
> >
> > Can you confirm that downgrading to the buster version of compiz fixes
> > it?  Ideally you could downgrade package per compiz package.
>
> It is so hard, sorry. The dep tree ends-up on libmarcoprivate1,
> depending on marco 1.16, so would imply me to downgrade all the desktop.
> So cannot do this.
>
> Regards
>
> >
> >> Tell me if you want a bug, against which package and if I should give further info.
> >
> > Having a bug entry is always better to record what was tested in an
> > easy-to-find place. The package doesn't matter that much since it's easy
> > to move bugs.
> >
> > Samuel
> >
>
>

--